#collision_6_partI.h 

/* Exclusive or is ^ */
	      t1 = a[zword]^b[zword];
	      t2 = b[zword]^c[zword];
	      t3 = c[zword]^d[zword];
	      t4 = d[zword]^e[zword];
	      t5 = e[zword]^f[zword];
	      t6 = f[zword]^a[zword];
	      
	      u1 = t1 & t4;
	      u2 = t2 & t5;
	      u3 = t3 & t6;
	      
/* g means pair of opposing particles */ 

	      g1 = u1 & ( b^d );
	      g2 = u2 & ( c^e );
	      g3 = u3 & ( d^f );
	      
	      del = u1 & u2 & u3;
	      
	      /* rotate left */
	      
	      c1 = del | g1 | g3 & ~g2;
	      c2 = del | g2 | g1 & ~g3;
	      c3 = del | g3 | g2 & ~g1;
	      
#ifdef SOLID_SITES
	      na =((~s) & (c1^a)) |( s & d[zword]);
	      nb =((~s) & (c2^b)) |( s & e[zword]);
	      nc =((~s) & (c3^c)) |( s & f[zword]);
	      nd =((~s) & (c1^d)) |( s & a[zword]);
	      ne =((~s) & (c2^e)) |( s & b[zword]);
	      nf =((~s) & (c3^f)) |( s & c[zword]);
	      ng = g[zword];
#else
	      na = c1^a[zword];
	      nb = c2^b[zword];
	      nc = c3^c[zword];
	      nd = c1^d[zword];
	      ne = c2^e[zword];
	      nf = c3^f[zword];
	      ng = g[zword]; 
#endif
}

/* 6 particle collision operator */ 

   /* odd time step, rotate right */
		 
   c1 = del | g3 | g1 & ~g2;
   c2 = del | g1 | g2 & ~g3;
   c3 = del | g2 | g3 & ~g1;

