#define	EXCHANGE_POINTERS(a,na) tmp_ptr = (a); (a)= (na); (na) = tmp_ptr;
#define max(a,b)               (a<b ? b : a)
#define min(a,b)               (a>b ? b : a)
#ifndef PI 
#define PI 3.14159265
#endif

/*  Wrap around boundary conditions */ 
#define WRAP_DN(p,n)	(((p) >= n) ? ((p)-n) : (p))
#define WRAP_UP(p,n)	(((p) < 0) ? ((p)+n) : (p))
#define WRAP_AROUND(p,n)	(( (p) < 0) ? ((p)+n) : WRAP_DN(p,n))


/*
These macros perform passage from orthogonal 
cartesian coordinates to hexagonal coordinates
*/ 

#define X_HEX_TO_CART(i,j) (WRAP_AROUND((i) + (j)/2 - nx/4,nx))
#define Y_HEX_TO_CART(i,j) (j)

#define I_CART_TO_HEX(x,y) (WRAP_AROUND((2*((y)-(x))+ nx/2,nx))
#define J_CART_TO_HEX(x,y) (y)

#define BIG ((float) (LONG_MAX + 1))

