#ifndef BOLTZMANN_H
#define BOLTZMANN_H
#include "boltzmann.h"
#endif




void MovieDump(void)
{
  char rood, blauw, zwart;
  static int counter = 1;
  int ix, iy, i, color;
  float r, b;
  static FILE *fpMovieDump = NULL, *fpMovieHeader = NULL;

  rood=10;
  blauw=20;
  zwart=30;

  if(!fpMovieHeader)
    {
      if(!(fpMovieHeader=fopen("movie.h","w")))
	{
	  fprintf(stderr,
		  "%s:%d CANNOT OPEN FILE :movie.h",
		  __FILE__,__LINE__);
	  exit(1);
	}
      fprintf(fpMovieHeader,"in=\"dump\"\n");
      fprintf(fpMovieHeader,"n1=%d\n",NX);
      fprintf(fpMovieHeader,"n2=%d\n",NY);
      /*      fprintf(fpMovieHeader,"n3=%d\n",FRAMES);*/
      fflush(fpMovieHeader);
      if(!(fpMovieDump=fopen("dump","w")))
	{
	  fprintf(stderr,
		  "%s:%d CANNOT OPEN FILE :dump",
		  __FILE__,__LINE__);
	  exit(1);
	}
     
    }


  for(iy=0;iy<NY;iy++){
    for(ix=0;ix<NX;ix++)
      {
	r=0.0,b=0.0;
	for(i=0;i<6;i++)
	  {
	    r += BLUE(ix,iy,i);
	    b += RED(ix,iy,i);
	  }

	if(r > 100.*b)
	  color=rood;
	else if(b > 100.*r)
	  color=blauw;
	else
	  color=zwart;
	fwrite(&color, sizeof(char),1, fpMovieDump);
	/*	fprintf(stderr, "%3d ",color);*/
      }
    /*    fprintf(stderr,"\n");*/
  }
  fflush(fpMovieDump);
  counter ++;
  if(FRAMES == counter)
    {
      fclose(fpMovieDump);
      fclose(fpMovieHeader);
    }

}



