#ifndef BGK_H 
#define BGK_H
#include "bgk.h"
#endif


void TestCons(void)
{
  int ix, iy, iz;
  int i, alpha;
  float total;
  float v[3];

  total=0;
  v[0]=v[1]=v[2]=0.0;

  for(ix=0;ix<Nx;ix++)
    for(iy=0;iy<Ny;iy++)
      for(iz=0;iz<Nz;iz++)
	{
	  for(i=0;i<19;i++)
	    {
	      total += N(ix,iy,iz,i);
	      for(alpha=0;alpha<3;alpha++)
		v[alpha] += C(i,alpha)*N(ix,iy,iz,i);
	    }
	}

  fprintf(stderr,"%9.5f %9.5f %9.5f %9.5f\n",
	  total, v[0]/total, v[1]/total, v[2]/total);
}
		



