Pro lat, nx, ny
;
;
;

if n_params(0) lt 2 then begin
 print , "usage : lat, nx, ny"
 stop
endif

openr, 1, "floatfile"

BSZ = 8
nbx = nx/BSZ
nby = ny / BSZ

u=fltarr(nbx,nby)
v=fltarr(nbx,nby)
s=fltarr(nx,ny)
readf, 1, s

contour,[[0,0],[1,1]],/nodata,  $
 xstyle=5, ystyle=5 

px = !x.window * !d.x_vsize	;Get size of window in device units
py = !y.window * !d.y_vsize

swy = py(1)-py(0)		;Size in Y
swx = swy          	;Size in x same 


for t=1,100 do begin

readf, 1, u, v
; print, u, v

loadct, 1

mvelovect, u, v, px, py, nbx, nby

contour, s,  pos= [px(0),py(0), px(0)+swx,py(0)+swy], $
 /noerase, /device, xstyle=1, ystyle=1, level=[0.5]  , fill=1, c_color=128, $
 xrange=[0,nx-1], yrange=[0,ny-1]

print, "type any character to advance to next record"
read, tmp

endfor
close, 1
end
