# collision_6_left.h 

{
  unsigned int t1,t2,t3,t4,t5,t6,u1,u2,u3,g1,g2,g3,del,c1,c2,c3;
  zword  = iword + max_x_word_coord * j; \

/* Exclusive or is ^ */
	      t1 = a[zword]^b[zword];
	      t2 = b[zword]^c[zword];
	      t3 = c[zword]^d[zword];
	      t4 = d[zword]^e[zword];
	      t5 = e[zword]^f[zword];
	      t6 = f[zword]^a[zword];
	      
	      u1 = t1 & t4;
	      u2 = t2 & t5;
	      u3 = t3 & t6;
	      
/* g means pair of opposing particles */ 

	      g1 = u1 & ( b^d );
	      g2 = u2 & ( c^e );
	      g3 = u3 & ( d^f );
	      
	      del = u1 & u2 & u3;
	      
	      /* rotate left */
	      
	      c1 = del | g1 | g3 & ~g2;
	      c2 = del | g2 | g1 & ~g3;
	      c3 = del | g3 | g2 & ~g1;
	      
#ifdef SOLID_SITES
	      na =((~s) & (c1^a)) |( s & d[zword]);
	      nb =((~s) & (c2^b)) |( s & e[zword]);
	      nc =((~s) & (c3^c)) |( s & f[zword]);
	      nd =((~s) & (c1^d)) |( s & a[zword]);
	      ne =((~s) & (c2^e)) |( s & b[zword]);
	      nf =((~s) & (c3^f)) |( s & c[zword]);
	      ng = g[zword];
#else
	      na = c1^a[zword];
	      nb = c2^b[zword];
	      nc = c3^c[zword];
	      nd = c1^d[zword];
	      ne = c2^e[zword];
	      nf = c3^f[zword];
	      ng = g[zword]; 
#endif
}

/* 6 particle collision operator */ 


collision_6_right(a, b, c, d, e, f, g, na, nb, nc, nd, ne, nf, ng, s)  unsigned int a; unsigned int b;unsigned int c;unsigned int d; unsigned int e; unsigned int f; unsigned int g; unsigned int *na; unsigned int *nb;unsigned int *nc;unsigned int *nd; unsigned int *ne; unsigned int *nf; unsigned int *ng; unsigned int s;
{
   unsigned int t1,t2,t3,t4,t5,t6,u1,u2,u3,g1,g2,g3,del,c1,c2,c3;

   /* Exclusive or is ^ */
   t1 = a^b;
   t2 = b^c;
   t3 = c^d;
   t4 = d^e;
   t5 = e^f;
   t6 = f^a;
	      
   u1 = t1 & t4;
   u2 = t2 & t5;
   u3 = t3 & t6;
	      
   /* g means pair of opposing particles */ 

   g1 = u1 & ( b^d );
   g2 = u2 & ( c^e );
   g3 = u3 & ( d^f );
	      
   del = u1 & u2 & u3;
	      
   /* odd time step, rotate right */
		 
   c1 = del | g3 | g1 & ~g2;
   c2 = del | g1 | g2 & ~g3;
   c3 = del | g2 | g3 & ~g1;

#ifdef SOLID_SITES
	      *na =((~s) & (c1^a)) |( s & d);
	      *nb =((~s) & (c2^b)) |( s & e);
	      *nc =((~s) & (c3^c)) |( s & f);
	      *nd =((~s) & (c1^d)) |( s & a);
	      *ne =((~s) & (c2^e)) |( s & b);
	      *nf =((~s) & (c3^f)) |( s & c);
	      *ng = g;
#else
	      *na = c1^a;
	      *nb = c2^b;
	      *nc = c3^c;
	      *nd = c1^d;
	      *ne = c2^e;
	      *nf = c3^f;
	      *ng = g; 
#endif

 
}

