/* LONG VERSION 
#define NX 64
#define NY 16
#define TPRINT 100000
#define TMAX   1000000
#define NOSEED 137
*/

/* SHORT RUN */ 

#ifndef NX
#define NX 64
#define NY 16
#define TPRINT 1000
#define TMAX   100
#endif

#define NOSEED 137

/* Density is reduced density (nr per channel) */ 

#define DENSITY 0.5

#ifndef MINF
#define NOSOLID_SITES
#endif

#define TSTART_AVER 1000

#define NOBLOW_HEXAGON

/* For parabolas 

#define PARABOLAS
#define COUNTING
#define MINF 0.00015
#define MAXF 0.00015

*/ 

/* MANY RUNS
#ifndef NEXP
#define NEXP 0
#endif

#ifndef NREPLICAS
#define NREPLICAS 40
#endif
 */

/* ONE SHORT RUN */
#ifndef NEXP
#define NEXP 0
#endif
#ifndef NREPLICAS
#define NREPLICAS 0
#endif



#ifdef MINF
#define FORCING_RATE
#endif

/* INTERACTION */ 

#define NOINTERACT

#ifdef INTERACT

/* INTERACT_ISO uses a new, more isotropic interaction model  (unpublished)  */ 

#define NOINTERACT_ISO
#ifndef INTERACT_ISO

/* Interaction model of 
C. Appert, D. d'Humi\`eres and S. Zaleski,
C. R. Acad. Sci. Paris, 
vol. 316, pages 569-574 (1993) .   */ 

#define INTERACT_CRAS
#define RANGE 8
#endif
#endif


